Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0043399
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementmajorhave not tried2020-03-03 11:572020-04-06 15:48
Reportersalvador_campanellaView Statuspublic 
Assigned Toinigo_lerga 
PrioritynormalResolutionfixedFixed in Version3.0PR20Q2
StatusclosedFix in branchFixed in SCM revision2f5a62c135dc
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0043399: The Attribute Set Value Column in the Voided invoice is not getting from the original invoice

DescriptionThe Attribute Set Value Column in the Voided invoice is not getting from the original invoice
Steps To ReproduceIn Livebuilds
https://livebuilds.openbravo.com/retail_pi_pgsql [^]

- Go to sales invoice and create a new invoice
- Create a new line for the product - Hiking Boots
- In the more information area select the Attribute Set Value
- complete the invoice
- void the invoice

In the grid of sales invoice add the Attribute Set Value column and check the original invoice and the void invoice and you could see that the "Attribute Set Value" is empty in the void invoice
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0118598)
inigo_lerga (developer)
2020-03-13 15:44

--Test Plan Mantis--
Retail modules and sampledata are needed to be installed
beforehand.
As the The White Valley Group Admin role:
  - Go to the Sales Invoice window and create a new record with
    "Carl Studson" as Business Partner.
  - Go to the Lines Tab and create a new record with "Hiking Boots"
    as Product.
  - Save the record and reload the window to get the Attribute
    Set Value field to appear in the More information section in the
    previously created Line.
  - Press the magnifying glass button to fill this field with 1234
    as Lot Name and Today's date.
    Press the OK button in the popup window.
  - Save the Sales Invoice and press the Complete button and OK button
    in the popup window.
  - Now press the Reactivate button. Select the Void option in the
    Action regarding document field. Press the OK button in the popup window.
  - Close the current Sales Invoice to go back to the grid view and reload.
  - You will see two records, the one you just created and a similar one with
    a negative amount in the Total Gross Amount field.
    Open this record and open the only Line it has in the Lines Tab.

  #In this moment the Attribute Set Value field can be seen with the proper value#
(0118692)
hgbot (developer)
2020-03-20 09:14

Repository: erp/devel/pi
Changeset: 268d9baae57883ba7578e1d7d8e8d2fc44351b51
Author: Iñigo Lerga <inigo.lerga <at> openbravo.com>
Date: Fri Mar 13 13:00:45 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/268d9baae57883ba7578e1d7d8e8d2fc44351b51 [^]

fixes BUG-43399: M_AttributeSetInstance_ID added to Voided Invoice

---
M src-db/database/model/functions/C_INVOICE_POST.xml
---
(0118693)
dmiguelez (developer)
2020-03-20 09:15

Code Review + Testing Ok
(0118964)
hgbot (developer)
2020-04-06 11:53

Repository: erp/devel/pi
Changeset: 2f5a62c135dcda4bf3943a224ba8e36306be1ab4
Author: Iñigo Lerga <inigo.lerga <at> openbravo.com>
Date: Fri Mar 13 13:00:45 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/2f5a62c135dcda4bf3943a224ba8e36306be1ab4 [^]

fixes BUG-43399: M_AttributeSetInstance_ID added to Voided Invoice

---
M src-db/database/model/functions/C_INVOICE_POST.xml
---
(0118990)
jarmendariz (developer)
2020-04-06 15:48

closed: wrongly reopened

- Issue History
Date Modified Username Field Change
2020-03-03 11:57 salvador_campanella New Issue
2020-03-03 11:57 salvador_campanella Assigned To => Triage Finance
2020-03-03 11:57 salvador_campanella Modules => Core
2020-03-03 11:57 salvador_campanella Triggers an Emergency Pack => No
2020-03-11 10:06 dmiguelez Assigned To Triage Finance => inigo_lerga
2020-03-12 08:58 inigo_lerga Status new => scheduled
2020-03-13 15:44 inigo_lerga Note Added: 0118598
2020-03-13 15:45 inigo_lerga Note Added: 0118599
2020-03-13 15:45 inigo_lerga Note Deleted: 0118599
2020-03-20 09:14 hgbot Checkin
2020-03-20 09:14 hgbot Note Added: 0118692
2020-03-20 09:14 hgbot Status scheduled => resolved
2020-03-20 09:14 hgbot Resolution open => fixed
2020-03-20 09:14 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/268d9baae57883ba7578e1d7d8e8d2fc44351b51 [^]
2020-03-20 09:15 dmiguelez Review Assigned To => dmiguelez
2020-03-20 09:15 dmiguelez Note Added: 0118693
2020-03-20 09:15 dmiguelez Status resolved => closed
2020-03-20 09:15 dmiguelez Fixed in Version => 3.0PR20Q2
2020-04-06 11:53 hgbot Checkin
2020-04-06 11:53 hgbot Note Added: 0118964
2020-04-06 11:53 hgbot Status closed => resolved
2020-04-06 11:53 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/268d9baae57883ba7578e1d7d8e8d2fc44351b51 [^] => http://code.openbravo.com/erp/devel/pi/rev/2f5a62c135dcda4bf3943a224ba8e36306be1ab4 [^]
2020-04-06 15:48 jarmendariz Note Added: 0118990
2020-04-06 15:48 jarmendariz Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker